Bug 1732111 - Automatic R runtime dependencies
Summary: Automatic R runtime dependencies
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 17:48 UTC by Ben Cotton
Modified: 2019-10-29 17:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 17:13:52 UTC


Attachments (Terms of Use)

Description Ben Cotton 2019-07-22 17:48:51 UTC
This is a tracking bug for Change: Automatic R runtime dependencies
For more details, see: https://fedoraproject.org/wiki/Changes/Automatic_R_runtime_dependencies

Packages of R libraries will produce a standard R(packageName) Provides, and Requires on these standard names will be added from library metadata. Standard provides will use the unmodified versions from the metadata. Suggested dependencies will not be automatically added, but can be opted in by the packager.

Comment 1 Elliott Sales de Andrade 2019-08-12 20:40:18 UTC
The automatic Provides generator was enabled for the Mass Rebuild, and the automatic Requires/Suggests was enabled recently. All packages that could take advantage of that have been rebuilt (except a few known FTBFS), so this should be Code Complete now.

Comment 2 Ben Cotton 2019-08-13 16:55:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:04:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Ben Cotton 2019-08-29 19:28:47 UTC
We have reached the '100% Code Complete' milestone in the Fedora 31 release cycle. If your Change is complete, please set the status to ON_QA. The Beta Freeze is underway. If you need a freeze exception, see https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

If this Change will not be ready for Fedora 31, please set the version to rawhide.

Comment 5 Elliott Sales de Andrade 2019-08-29 21:22:06 UTC
There are no more changes needed in the macros, and as far as I can tell all the packages have been rebuilt correctly to work with them (excepting those that are already FTBFS for other reasons.)

Comment 6 Ben Cotton 2019-10-29 17:13:52 UTC
Closing Change tracking bugs for the Fedora 31 release.


Note You need to log in before you can comment on or make changes to this bug.